# Class WindowActionBarComponent

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:18

#####
Index

### Constructors

constructor

### Properties

definitions
injector
position

## Constructors

### constructor

- new WindowActionBarComponent(context, injector): WindowActionBarComponent

- #### Parameters

  - context: any
  - injector: Injector

  #### Returns WindowActionBarComponent

  - Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:23

## Properties

### definitions

definitions: ButtonDefinition<any, Action>[] = null

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:20

### injector

injector: Injector

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:23

### position

position: string = 'start'

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:21